## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global giturl  https://github.com/mcmtroffaes/sphinxcontrib-bibtex

Name:           python-sphinxcontrib-bibtex
Version:        2.6.5
Release:        %autorelease
Summary:        Sphinx extension for BibTeX style citations

License:        BSD-2-Clause
URL:            https://sphinxcontrib-bibtex.readthedocs.io/
VCS:            git:%{giturl}.git
Source:         %{giturl}/archive/%{version}/sphinxcontrib-bibtex-%{version}.tar.gz

BuildArch:      noarch
BuildSystem:    pyproject
BuildOption(generate_buildrequires): -x test
BuildOption(install): -l sphinxcontrib

BuildRequires:  python3-devel
BuildRequires:  python3-docs
BuildRequires:  python-sphinx-doc
BuildRequires:  %{py3_dist cython}
BuildRequires:  %{py3_dist numpydoc}

%global common_desc %{expand:
This package contains a Sphinx extension for BibTeX style citations.

This extension allows BibTeX citations to be inserted into documentation
generated by Sphinx, via a bibliography directive, and a cite role,
which work similarly to LaTeX's thebibliography environment and \\cite
command.

For formatting, the extension relies on pybtex, written by Andrey
Golovizin.}

%description %common_desc

%package -n python3-sphinxcontrib-bibtex
Summary:        Sphinx extension for BibTeX style citations

%description -n python3-sphinxcontrib-bibtex %common_desc

%package doc
# In addition to the project license, the JavaScript and CSS bundled with the
# documentation has the following licenses:
# _static/alabaster.css: BSD-3-Clause
# _static/basic.css: BSD-2-Clause
# _static/custom.css: BSD-3-Clause
# _static/doctools.js: BSD-2-Clause
# _static/documentation_options.js: BSD-2-Clause
# _static/file.png: BSD-2-Clause
# _static/language_data.js: BSD-2-Clause
# _static/minus.png: BSD-2-Clause
# _static/plus.png: BSD-2-Clause
# _static/searchtools.js: BSD-2-Clause
# _static/sphinx_highlight.js: BSD-2-Clause
# genindex.html: BSD-2-Clause
# search.html: BSD-2-Clause
# searchindex.js: BSD-2-Clause
License:        BSD-2-Clause AND BSD-3-Clause
Summary:        Documentation for python-sphinxcontrib-bibtex

%description doc
Documentation for python-sphinxcontrib-bibtex.

%prep
%autosetup -p1 -n sphinxcontrib-bibtex-%{version}

%conf
# Use local objects.inv for intersphinx
sed -e 's|\("https://docs\.python\.org/3/", \)None|\1"%{_docdir}/python3-docs/html/objects.inv"|' \
    -e 's|\("http://www\.sphinx-doc\.org/en/master/", \)None|\1"%{_docdir}/python-sphinx-doc/html/objects.inv"|' \
    -i doc/conf.py

# Fedora does not have autoapi, so do not try to test with it
rm -fr test/test_autoapi.py test/roots/test-autoapi

%install -a
# The Sphinx documentation cannot be built with an uninstalled
# sphinxcontrib.bibtex because python finds the installed sphinxcontrib
# package, which doesn't contain bibtex.  We fake out python by copying the
# entire installed tree to a local directory and adding this package inside
# the sphinxcontrib directory.
mkdir lib
cp -a %{_prefix}/lib/python%{python3_version} lib
if [ -d %{_prefix}/lib64/python%{python3_version} ]; then
  mkdir lib64
  cp -a %{_prefix}/lib64/python%{python3_version} lib64
fi
mkdir include
cp -a %{_includedir}/python%{python3_version}* include
cp -a %{buildroot}%{python3_sitelib}/sphinxcontrib* \
      lib/python%{python3_version}/site-packages
export PYTHONHOME=$PWD:$PWD
sphinx-build doc html
rm -fr include lib lib64
rm -fr html/{.buildinfo,.doctrees}
unset PYTHONHOME
rst2html --no-datestamp README.rst README.html

%check
%pytest -v test

%files -n python3-sphinxcontrib-bibtex -f %{pyproject_files}
%doc README.html

%files doc
%doc html/*

%changelog
## START: Generated by rpmautospec
* Fri Jun 27 2025 Jerry James <loganjerry@gmail.com> - 2.6.5-1
- Version 2.6.5
- Use the pyproject declarative buildsystem

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 2.6.3-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Sep 13 2024 Jerry James <loganjerry@gmail.com> - 2.6.3-1
- Version 2.6.3
- jquery and underscore are no longer installed
- Assert that a license file is installed

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 2.6.2-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 10 2024 Jerry James <loganjerry@gmail.com> - 2.6.2-1
- Version 2.6.2

* Mon Aug 28 2023 Jerry James <loganjerry@gmail.com> - 2.6.1-1
- Version 2.6.1
- Drop upstreamed sup patch

* Fri Aug 25 2023 Jerry James <loganjerry@gmail.com> - 2.6.0-1
- Version 2.6.0.post0
- Drop upstreamed patches
- Add upstream patch to suppress the sup tag in the :cite:alp: role

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Jerry James <loganjerry@gmail.com> - 2.5.0-4
- Add patch for docutils >= 0.18 (rhbz#2221984)

* Wed Jun 28 2023 Python Maint <python-maint@redhat.com> - 2.5.0-3
- Rebuilt for Python 3.12

* Thu Feb 23 2023 Jerry James <loganjerry@gmail.com> - 2.5.0-2
- Dynamically generate BuildRequires

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 13 2022 Jerry James <loganjerry@gmail.com> - 2.5.0-1
- Refine license analysis of the doc subpackage

* Tue Aug 23 2022 Jerry James <loganjerry@gmail.com> - 2.5.0-1
- Version 2.5.0
- Drop upstreamed docutils patches
- Convert License tag to SPDX
- Add -pytest patch to skip tests with missing deps

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 07 2022 Karolina Surma <ksurma@redhat.com> - 2.4.2-3
- Fix compatibility with docutils 0.18

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 2.4.2-2
- Rebuilt for Python 3.11

* Sun Apr 10 2022 Jerry James <loganjerry@gmail.com> - 2.4.2-1
- Version 2.4.2
- Drop upstreamed -default-factory patch

* Thu Feb  3 2022 Jerry James <loganjerry@gmail.com> - 2.4.1-3
- Add -default-factory patch (bz 2050148)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Sep 10 2021 Jerry James <loganjerry@gmail.com> - 2.4.1-1
- Version 2.4.1

* Thu Sep  9 2021 Jerry James <loganjerry@gmail.com> - 2.4.0-1
- Version 2.4.0
- Use the pyproject macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.3.0-2
- Rebuilt for Python 3.10

* Wed Jun  2 2021 Jerry James <loganjerry@gmail.com> - 2.3.0-1
- Version 2.3.0

* Sun May 16 2021 Jerry James <loganjerry@gmail.com> - 2.2.1-1
- Version 2.2.1

* Fri Mar  5 2021 Jerry James <loganjerry@gmail.com> - 2.2.0-1
- Version 2.2.0
- Drop upstreamed -sphinx3.5 patch

* Fri Feb 19 2021 Jerry James <loganjerry@gmail.com> - 2.1.4-3
- Add -sphinx3.5 patch to fix FTBFS with Sphinx 3.5 (bz 1930799)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan  8 2021 Jerry James <loganjerry@gmail.com> - 2.1.4-1
- Version 2.1.4

* Fri Jan  1 2021 Jerry James <loganjerry@gmail.com> - 2.1.3-1
- Version 2.1.3

* Wed Dec 30 2020 Jerry James <loganjerry@gmail.com> - 2.1.2-1
- Version 2.1.2

* Tue Dec 29 2020 Jerry James <loganjerry@gmail.com> - 2.1.1-1
- Version 2.1.1
- Drop orderedset dependency and patch

* Tue Dec 22 2020 Jerry James <loganjerry@gmail.com> - 2.0.0-1
- Version 2.0.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon May 25 2020 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-4
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 24 2020 Jerry James <loganjerry@gmail.com> - 1.0.0-2
- Use the pyproject macros
- Fix documentation cross-references

* Fri Sep 20 2019 Jerry James <loganjerry@gmail.com> - 1.0.0-1
- New upstream version

* Sun Aug 18 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.0~a0.20170423git5fa80ec5-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0~a0.20170423git5fa80ec5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Apr 23 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.0~a0.20170423git5fa80ec5-1
- Update to git snapshot 5fa80ec5 for Sphinx 2 compatibility (#1698477)

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jan 17 2019 Jerry James <loganjerry@gmail.com> - 0.4.2-1
- New upstream version
- Drop upstreamed -bibliography patch

* Sat Dec  8 2018 Jerry James <loganjerry@gmail.com> - 0.4.1-1
- New upstream version

* Thu Oct 25 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4.0-4
- Subpackage python2-sphinxcontrib-bibtex has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4.0-2
- Rebuilt for Python 3.7

* Thu Apr 19 2018 Jerry James <loganjerry@gmail.com> - 0.4.0-1
- New upstream version

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Sep 26 2017 Jerry James <loganjerry@gmail.com> - 0.3.6-1
- New upstream version
- Drop upstreamed python 3.6 fix

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 22 2017 Jerry James <loganjerry@gmail.com> - 0.3.5-1
- New upstream version

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3.4-2
- Rebuild for Python 3.6

* Mon May 23 2016 Jerry James <loganjerry@gmail.com> - 0.3.4-1
- New upstream version

* Thu Feb 25 2016 Jerry James <loganjerry@gmail.com> - 0.3.3-1
- Initial RPM

## END: Generated by rpmautospec
